﻿// <auto-generated />
using System;
using DocumentManagement.DataManager;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace DocumentManagement.DataManager.Migrations
{
    [DbContext(typeof(DataContext))]
    [Migration("20210805141030_Initial")]
    partial class Initial
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("ProductVersion", "5.0.8")
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("DocumentManagement.Models.Document", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("CreatorId")
                        .HasColumnType("int");

                    b.Property<DateTime>("DateCreate")
                        .HasColumnType("datetime2");

                    b.Property<DateTime?>("DateEdit")
                        .HasColumnType("datetime2");

                    b.Property<int>("DocumentTemplateId")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("CreatorId");

                    b.HasIndex("DocumentTemplateId");

                    b.ToTable("Documents");
                });

            modelBuilder.Entity("DocumentManagement.Models.DocumentRoute", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("DateCreate")
                        .HasColumnType("datetime2");

                    b.Property<DateTime?>("DateEdit")
                        .HasColumnType("datetime2");

                    b.HasKey("Id");

                    b.ToTable("DocumentRoutes");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 300, DateTimeKind.Local).AddTicks(3433)
                        },
                        new
                        {
                            Id = 2,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 300, DateTimeKind.Local).AddTicks(3441)
                        });
                });

            modelBuilder.Entity("DocumentManagement.Models.DocumentRouteStage", b =>
                {
                    b.Property<int>("RouteId")
                        .HasColumnType("int");

                    b.Property<int>("StageId")
                        .HasColumnType("int");

                    b.Property<DateTime>("DateCreate")
                        .HasColumnType("datetime2");

                    b.Property<DateTime?>("DateEdit")
                        .HasColumnType("datetime2");

                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.HasKey("RouteId", "StageId");

                    b.HasIndex("StageId");

                    b.ToTable("DocumentRouteStage");

                    b.HasData(
                        new
                        {
                            RouteId = 1,
                            StageId = 1,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 301, DateTimeKind.Local).AddTicks(494),
                            Id = 1
                        },
                        new
                        {
                            RouteId = 1,
                            StageId = 2,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 301, DateTimeKind.Local).AddTicks(825),
                            Id = 2
                        },
                        new
                        {
                            RouteId = 1,
                            StageId = 3,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 301, DateTimeKind.Local).AddTicks(828),
                            Id = 3
                        },
                        new
                        {
                            RouteId = 1,
                            StageId = 4,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 301, DateTimeKind.Local).AddTicks(829),
                            Id = 4
                        },
                        new
                        {
                            RouteId = 1,
                            StageId = 5,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 301, DateTimeKind.Local).AddTicks(831),
                            Id = 5
                        },
                        new
                        {
                            RouteId = 1,
                            StageId = 7,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 301, DateTimeKind.Local).AddTicks(832),
                            Id = 7
                        },
                        new
                        {
                            RouteId = 2,
                            StageId = 1,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 301, DateTimeKind.Local).AddTicks(834),
                            Id = 1
                        },
                        new
                        {
                            RouteId = 2,
                            StageId = 2,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 301, DateTimeKind.Local).AddTicks(835),
                            Id = 8
                        },
                        new
                        {
                            RouteId = 2,
                            StageId = 5,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 301, DateTimeKind.Local).AddTicks(836),
                            Id = 9
                        },
                        new
                        {
                            RouteId = 2,
                            StageId = 7,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 301, DateTimeKind.Local).AddTicks(838),
                            Id = 11
                        });
                });

            modelBuilder.Entity("DocumentManagement.Models.DocumentStage", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("DateCreate")
                        .HasColumnType("datetime2");

                    b.Property<DateTime?>("DateEdit")
                        .HasColumnType("datetime2");

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("nvarchar(255)");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("nvarchar(255)");

                    b.HasKey("Id");

                    b.ToTable("DocumentStages");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 300, DateTimeKind.Local).AddTicks(6559),
                            Description = "Черновик",
                            Name = "Draft"
                        },
                        new
                        {
                            Id = 2,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 300, DateTimeKind.Local).AddTicks(7459),
                            Description = "Зарегистрирован",
                            Name = "Registered"
                        },
                        new
                        {
                            Id = 3,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 300, DateTimeKind.Local).AddTicks(7475),
                            Description = "На рассмотрении",
                            Name = "Pending"
                        },
                        new
                        {
                            Id = 4,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 300, DateTimeKind.Local).AddTicks(7479),
                            Description = "Согласован",
                            Name = "Confirmed"
                        },
                        new
                        {
                            Id = 5,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 300, DateTimeKind.Local).AddTicks(7482),
                            Description = "Исполнен",
                            Name = "Complete"
                        },
                        new
                        {
                            Id = 6,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 300, DateTimeKind.Local).AddTicks(7484),
                            Description = "Отменен",
                            Name = "Canceled"
                        },
                        new
                        {
                            Id = 7,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 300, DateTimeKind.Local).AddTicks(7487),
                            Description = "В архиве",
                            Name = "Archived"
                        });
                });

            modelBuilder.Entity("DocumentManagement.Models.DocumentTemplate", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("DateCreate")
                        .HasColumnType("datetime2");

                    b.Property<DateTime?>("DateEdit")
                        .HasColumnType("datetime2");

                    b.Property<string>("Description")
                        .HasMaxLength(1000)
                        .HasColumnType("nvarchar(1000)");

                    b.Property<int>("DocumentTypeId")
                        .HasColumnType("int");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("nvarchar(255)");

                    b.Property<int>("RouteId")
                        .HasColumnType("int");

                    b.Property<string>("Template")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.HasIndex("DocumentTypeId");

                    b.HasIndex("RouteId");

                    b.ToTable("DocumentTemplates");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 301, DateTimeKind.Local).AddTicks(4453),
                            Description = "Заявление о приеме на работу",
                            DocumentTypeId = 1,
                            Name = "ApplicationJob",
                            RouteId = 1,
                            Template = ""
                        },
                        new
                        {
                            Id = 2,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 301, DateTimeKind.Local).AddTicks(5193),
                            Description = "Заявление об увольнении",
                            DocumentTypeId = 1,
                            Name = "ApplicationResignation",
                            RouteId = 1,
                            Template = ""
                        },
                        new
                        {
                            Id = 3,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 301, DateTimeKind.Local).AddTicks(5198),
                            Description = "Заявление об отпуске",
                            DocumentTypeId = 1,
                            Name = "ApplicationVacation",
                            RouteId = 1,
                            Template = ""
                        },
                        new
                        {
                            Id = 4,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 301, DateTimeKind.Local).AddTicks(5232),
                            Description = "Приказ о приеме на работу",
                            DocumentTypeId = 3,
                            Name = "OrderJob",
                            RouteId = 1,
                            Template = ""
                        },
                        new
                        {
                            Id = 5,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 301, DateTimeKind.Local).AddTicks(5234),
                            Description = "Приказ об увольнении",
                            DocumentTypeId = 3,
                            Name = "OrderResignation",
                            RouteId = 1,
                            Template = ""
                        },
                        new
                        {
                            Id = 6,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 301, DateTimeKind.Local).AddTicks(5236),
                            Description = "Приказ об отпуске",
                            DocumentTypeId = 3,
                            Name = "OrderVacation",
                            RouteId = 1,
                            Template = ""
                        },
                        new
                        {
                            Id = 7,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 301, DateTimeKind.Local).AddTicks(5237),
                            Description = "Ежемесячный отчет",
                            DocumentTypeId = 4,
                            Name = "ReportMonthly",
                            RouteId = 2,
                            Template = ""
                        },
                        new
                        {
                            Id = 8,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 301, DateTimeKind.Local).AddTicks(5239),
                            Description = "Ежегодный отчет",
                            DocumentTypeId = 4,
                            Name = "ReportYearly",
                            RouteId = 2,
                            Template = ""
                        });
                });

            modelBuilder.Entity("DocumentManagement.Models.DocumentTransition", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("DateCreate")
                        .HasColumnType("datetime2");

                    b.Property<DateTime?>("DateEdit")
                        .HasColumnType("datetime2");

                    b.Property<int>("DocumentId")
                        .HasColumnType("int");

                    b.Property<int>("StageId")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("DocumentId");

                    b.HasIndex("StageId");

                    b.ToTable("DocumentTransitions");
                });

            modelBuilder.Entity("DocumentManagement.Models.DocumentType", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("DateCreate")
                        .HasColumnType("datetime2");

                    b.Property<DateTime?>("DateEdit")
                        .HasColumnType("datetime2");

                    b.Property<string>("Description")
                        .HasMaxLength(1000)
                        .HasColumnType("nvarchar(1000)");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("nvarchar(255)");

                    b.HasKey("Id");

                    b.ToTable("DocumentTypes");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 298, DateTimeKind.Local).AddTicks(7610),
                            Description = "Заявление",
                            Name = "Application"
                        },
                        new
                        {
                            Id = 2,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 299, DateTimeKind.Local).AddTicks(5129),
                            Description = "Акт",
                            Name = "Certificate"
                        },
                        new
                        {
                            Id = 3,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 299, DateTimeKind.Local).AddTicks(5139),
                            Description = "Приказ",
                            Name = "Order"
                        },
                        new
                        {
                            Id = 4,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 299, DateTimeKind.Local).AddTicks(5141),
                            Description = "Отчет",
                            Name = "Report"
                        });
                });

            modelBuilder.Entity("DocumentManagement.Models.User", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("DateCreate")
                        .HasColumnType("datetime2");

                    b.Property<DateTime?>("DateEdit")
                        .HasColumnType("datetime2");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("nvarchar(255)");

                    b.HasKey("Id");

                    b.ToTable("Users");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 301, DateTimeKind.Local).AddTicks(6998),
                            Name = "Testov Test"
                        },
                        new
                        {
                            Id = 2,
                            DateCreate = new DateTime(2021, 8, 5, 17, 10, 30, 301, DateTimeKind.Local).AddTicks(7184),
                            Name = "Ivanov Ivan"
                        });
                });

            modelBuilder.Entity("DocumentManagement.Models.Document", b =>
                {
                    b.HasOne("DocumentManagement.Models.User", "Creator")
                        .WithMany()
                        .HasForeignKey("CreatorId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("DocumentManagement.Models.DocumentTemplate", "DocumentTemplate")
                        .WithMany()
                        .HasForeignKey("DocumentTemplateId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Creator");

                    b.Navigation("DocumentTemplate");
                });

            modelBuilder.Entity("DocumentManagement.Models.DocumentRouteStage", b =>
                {
                    b.HasOne("DocumentManagement.Models.DocumentRoute", "Route")
                        .WithMany("RouteStages")
                        .HasForeignKey("RouteId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("DocumentManagement.Models.DocumentStage", "Stage")
                        .WithMany("RouteStages")
                        .HasForeignKey("StageId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Route");

                    b.Navigation("Stage");
                });

            modelBuilder.Entity("DocumentManagement.Models.DocumentTemplate", b =>
                {
                    b.HasOne("DocumentManagement.Models.DocumentType", "DocumentType")
                        .WithMany()
                        .HasForeignKey("DocumentTypeId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("DocumentManagement.Models.DocumentRoute", "Route")
                        .WithMany()
                        .HasForeignKey("RouteId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("DocumentType");

                    b.Navigation("Route");
                });

            modelBuilder.Entity("DocumentManagement.Models.DocumentTransition", b =>
                {
                    b.HasOne("DocumentManagement.Models.Document", "Document")
                        .WithMany("History")
                        .HasForeignKey("DocumentId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("DocumentManagement.Models.DocumentStage", "Stage")
                        .WithMany()
                        .HasForeignKey("StageId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Document");

                    b.Navigation("Stage");
                });

            modelBuilder.Entity("DocumentManagement.Models.Document", b =>
                {
                    b.Navigation("History");
                });

            modelBuilder.Entity("DocumentManagement.Models.DocumentRoute", b =>
                {
                    b.Navigation("RouteStages");
                });

            modelBuilder.Entity("DocumentManagement.Models.DocumentStage", b =>
                {
                    b.Navigation("RouteStages");
                });
#pragma warning restore 612, 618
        }
    }
}
